org.tmatesoft.svn.core.wc.xml

## Class SVNXMLLogHandler

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
  - - org.tmatesoft.svn.core.wc.xml.SVNXMLLogHandler

All Implemented Interfaces:
  ISVNLogEntryHandler, org.xml.sax.Locator

    public class SVNXMLLogHandler
    extends AbstractXMLHandler
    implements ISVNLogEntryHandler

This log handler implementation writes xml formatted information about the log entries it's passed to a specified ContentHandler.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

Fields
`static java.lang.String` `ACTION_ATTR` `'action'` attribute.
`static java.lang.String` `AUTHOR_TAG` `'author'` tag.
`static java.lang.String` `COPYFROM_PATH_ATTR` `'copyfrom-path'` attribute.
`static java.lang.String` `COPYFROM_REV_ATTR` `'copyfrom-rev'` attribute.
`static java.lang.String` `DATE_TAG` `'date'` tag.
`static java.lang.String` `LOG_TAG` `'log'` tag.
`static java.lang.String` `LOGENTRY_TAG` `'logentry'` tag.
`static java.lang.String` `MSG_TAG` `'msg'` tag.
`static java.lang.String` `PATH_TAG` `'path'` tag.
`static java.lang.String` `PATHS_TAG` `'paths'` tag.
`static java.lang.String` `REVISION_ATTR` `'revision'` attribute.

### Constructor Summary

Constructors
Constructor and Description
`SVNXMLLogHandler(org.xml.sax.ContentHandler contentHandler)` Creates a new log handler.
`SVNXMLLogHandler(org.xml.sax.ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new log handler.

### Method Summary

Methods
`java.lang.String` `getHeaderName()` Returns the header name specific for a log handler.
`void` `handleLogEntry(SVNLogEntry logEntry)` Handles a next log entry producing corresponding xml.
`void` `setOmitLogMessage(boolean omitLogMessage)` Sets whether log messages must be omitted or not.

### Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COPYFROM_REV_ATTR

    public static final java.lang.String COPYFROM_REV_ATTR

`'copyfrom-rev'` attribute.

See Also:
  Constant Field Values

#### COPYFROM_PATH_ATTR

    public static final java.lang.String COPYFROM_PATH_ATTR

`'copyfrom-path'` attribute.

See Also:
  Constant Field Values

#### ACTION_ATTR

    public static final java.lang.String ACTION_ATTR

`'action'` attribute.

See Also:
  Constant Field Values

#### REVISION_ATTR

    public static final java.lang.String REVISION_ATTR

`'revision'` attribute.

See Also:
  Constant Field Values

#### MSG_TAG

    public static final java.lang.String MSG_TAG

`'msg'` tag.

See Also:
  Constant Field Values

#### PATH_TAG

    public static final java.lang.String PATH_TAG

`'path'` tag.

See Also:
  Constant Field Values

#### PATHS_TAG

    public static final java.lang.String PATHS_TAG

`'paths'` tag.

See Also:
  Constant Field Values

#### DATE_TAG

    public static final java.lang.String DATE_TAG

`'date'` tag.

See Also:
  Constant Field Values

#### AUTHOR_TAG

    public static final java.lang.String AUTHOR_TAG

`'author'` tag.

See Also:
  Constant Field Values

#### LOGENTRY_TAG

    public static final java.lang.String LOGENTRY_TAG

`'logentry'` tag.

See Also:
  Constant Field Values

#### LOG_TAG

    public static final java.lang.String LOG_TAG

`'log'` tag.

See Also:
  Constant Field Values

### Constructor Detail

#### SVNXMLLogHandler

    public SVNXMLLogHandler(org.xml.sax.ContentHandler contentHandler)

Creates a new log handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

#### SVNXMLLogHandler

    public SVNXMLLogHandler(org.xml.sax.ContentHandler contentHandler,
                    org.tmatesoft.svn.util.ISVNDebugLog log)

Creates a new log handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

### Method Detail

#### getHeaderName

    public java.lang.String getHeaderName()

Returns the header name specific for a log handler.

Specified by:
  `getHeaderName` in class `AbstractXMLHandler`
Returns:
  `LOG_TAG` string

#### handleLogEntry

    public void handleLogEntry(SVNLogEntry logEntry)
                        throws SVNException

Handles a next log entry producing corresponding xml.

Specified by:
  `handleLogEntry` in interface `ISVNLogEntryHandler`
Parameters:
  `logEntry` - log entry
Throws:
  `SVNException`

#### setOmitLogMessage

    public void setOmitLogMessage(boolean omitLogMessage)

Sets whether log messages must be omitted or not.

Parameters:
  `omitLogMessage` - true to omit; otherwise false